# List of sound effects that trigger the screen shaking effect.
soundShakes:
    minecraft:block.sculk_shrieker.shriek:
        # The intensity of the screen shaking.
        amplitude: 0.05
        # The duration of the screen shaking.
        duration: 80
        # The time in ticks for interpolating the screen shaking from the minimum to the maximum value. Applied at the start of the shaking effect.
        fadeInTime: 0
        # The time in ticks for interpolating the screen shaking from the maximum to the minimum value. Applied at the end of the shaking effect. A value of -1 sets the interpolation duration equal to the effect's total duration.
        fadeOutTime: -1
        # The radius in blocks within which the shaking effect spreads. A value of -1 sets the shaking radius equal to the sound's playback radius.
        radius: -1.0
        # The speed of the screen shaking.
        speed: 10.0
    minecraft:entity.warden.emerge:
        # The intensity of the screen shaking.
        amplitude: 0.25
        # The duration of the screen shaking.
        duration: 120
        # The time in ticks for interpolating the screen shaking from the minimum to the maximum value. Applied at the start of the shaking effect.
        fadeInTime: 0
        # The time in ticks for interpolating the screen shaking from the maximum to the minimum value. Applied at the end of the shaking effect. A value of -1 sets the interpolation duration equal to the effect's total duration.
        fadeOutTime: -1
        # The radius in blocks within which the shaking effect spreads. A value of -1 sets the shaking radius equal to the sound's playback radius.
        radius: -1.0
        # The speed of the screen shaking.
        speed: 10.0
    minecraft:entity.warden.roar:
        # The intensity of the screen shaking.
        amplitude: 0.35
        # The duration of the screen shaking.
        duration: 60
        # The time in ticks for interpolating the screen shaking from the minimum to the maximum value. Applied at the start of the shaking effect.
        fadeInTime: 10
        # The time in ticks for interpolating the screen shaking from the maximum to the minimum value. Applied at the end of the shaking effect. A value of -1 sets the interpolation duration equal to the effect's total duration.
        fadeOutTime: -1
        # The radius in blocks within which the shaking effect spreads. A value of -1 sets the shaking radius equal to the sound's playback radius.
        radius: -1.0
        # The speed of the screen shaking.
        speed: 15.0
    minecraft:entity.ender_dragon.growl:
        # The intensity of the screen shaking.
        amplitude: 0.05
        # The duration of the screen shaking.
        duration: 60
        # The time in ticks for interpolating the screen shaking from the minimum to the maximum value. Applied at the start of the shaking effect.
        fadeInTime: 0
        # The time in ticks for interpolating the screen shaking from the maximum to the minimum value. Applied at the end of the shaking effect. A value of -1 sets the interpolation duration equal to the effect's total duration.
        fadeOutTime: -1
        # The radius in blocks within which the shaking effect spreads. A value of -1 sets the shaking radius equal to the sound's playback radius.
        radius: -1.0
        # The speed of the screen shaking.
        speed: 10.0
    minecraft:entity.warden.dig:
        # The intensity of the screen shaking.
        amplitude: 0.1
        # The duration of the screen shaking.
        duration: 80
        # The time in ticks for interpolating the screen shaking from the minimum to the maximum value. Applied at the start of the shaking effect.
        fadeInTime: 40
        # The time in ticks for interpolating the screen shaking from the maximum to the minimum value. Applied at the end of the shaking effect. A value of -1 sets the interpolation duration equal to the effect's total duration.
        fadeOutTime: 20
        # The radius in blocks within which the shaking effect spreads. A value of -1 sets the shaking radius equal to the sound's playback radius.
        radius: -1.0
        # The speed of the screen shaking.
        speed: 15.0
    minecraft:entity.warden.sonic_boom:
        # The intensity of the screen shaking.
        amplitude: 0.4
        # The duration of the screen shaking.
        duration: 50
        # The time in ticks for interpolating the screen shaking from the minimum to the maximum value. Applied at the start of the shaking effect.
        fadeInTime: 0
        # The time in ticks for interpolating the screen shaking from the maximum to the minimum value. Applied at the end of the shaking effect. A value of -1 sets the interpolation duration equal to the effect's total duration.
        fadeOutTime: -1
        # The radius in blocks within which the shaking effect spreads. A value of -1 sets the shaking radius equal to the sound's playback radius.
        radius: -1.0
        # The speed of the screen shaking.
        speed: 7.0
    minecraft:entity.ender_dragon.ambient:
        # The intensity of the screen shaking.
        amplitude: 0.05
        # The duration of the screen shaking.
        duration: 60
        # The time in ticks for interpolating the screen shaking from the minimum to the maximum value. Applied at the start of the shaking effect.
        fadeInTime: 0
        # The time in ticks for interpolating the screen shaking from the maximum to the minimum value. Applied at the end of the shaking effect. A value of -1 sets the interpolation duration equal to the effect's total duration.
        fadeOutTime: -1
        # The radius in blocks within which the shaking effect spreads. A value of -1 sets the shaking radius equal to the sound's playback radius.
        radius: -1.0
        # The speed of the screen shaking.
        speed: 10.0
